
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>旋转动画用控件RotateView / 憋错料</title>

    <meta name="description" content="旋转动画用控件RotateView 最终效果: 源码: RotateView.h 与 RotateView.m // // RotateView.h // RotateAnimationView // // Created by YouXianMing on 14/12/8. // Copyright (c) 2014年 YouXianMing. All rights reserved. // #import &lt;UIKit/UIKit.h&gt; /** * 要注意normalInputView与disableInputVi ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">旋转动画用控件RotateView</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzYwNzU0Mi8yMDE0MTIvMDkwOTQwNTQ3MTI3NTMyLmdpZg==.jpg" /></p>
<p>最终效果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzYwNzU0Mi8yMDE0MTIvMDkwOTQxMTQ4ODQxODAzLmdpZg==.jpg" /></p>
<p>源码：</p>
<p>RotateView.h 与&nbsp;RotateView.m</p>
<pre>//
//  RotateView.h
//  RotateAnimationView
//
//  Created by YouXianMing on 14/12/8.
//  Copyright (c) 2014年 YouXianMing. All rights reserved.
//

#import &lt;UIKit/UIKit.h&gt;

/**
 *  要注意normalInputView与disableInputView的frame值最好与RotateView的bounds值一致
 */
@interface RotateView : UIView

/**
 *  显示常规的view
 */
@property (nonatomic, strong) UIView   *normalInputView;
/**
 *  禁用状态的view
 */
@property (nonatomic, strong) UIView   *disableInputView;
/**
 *  旋转时间
 */
@property (nonatomic, assign) CGFloat   rotateDuration;
/**
 *  view切换时间
 */
@property (nonatomic, assign) CGFloat   fadeDuration;

/**
 *  旋转到向上的位置（默认的位置）
 *
 *  @param animated 是否显示动画
 */
- (void)changeToUpAnimated:(BOOL)animated;

/**
 *  旋转到向左的位置
 *
 *  @param animated 是否显示动画
 */
- (void)changeToLeftAnimated:(BOOL)animated;

/**
 *  旋转到向右的位置
 *
 *  @param animated 是否显示动画
 */
- (void)changeToRightAnimated:(BOOL)animated;

/**
 *  旋转到向下的位置
 *
 *  @param animated 是否显示动画
 */
- (void)changeTodownAnimated:(BOOL)animated;

/**
 *  渐变到显示常规的view
 *
 *  @param animated 是否显示动画
 */
- (void)fadeToNormalInputViewAnimated:(BOOL)animated;

/**
 *  渐变到禁用状态的view
 *
 *  @param animated 是否显示动画
 */
- (void)fadeToDisableInputViewAnimated:(BOOL)animated;

@end</pre>
<pre>//
//  RotateView.m
//  RotateAnimationView
//
//  Created by YouXianMing on 14/12/8.
//  Copyright (c) 2014年 YouXianMing. All rights reserved.
//

#import "RotateView.h"

static CGFloat defaultDuration = 0.25f;

typedef enum : NSUInteger {
    UIVIEW_normalInputView = 0xEEFF,
    UIVIEW_disableInputView,
} EnumRotateView;

@interface RotateView ()
@property (nonatomic, assign) CGAffineTransform  defaultTransform;
@end

@implementation RotateView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        _defaultTransform = self.transform;
    }
    return self;
}

#pragma mark - 动画的执行
- (void)changeToUpAnimated:(BOOL)animated {
    if (animated) {
        [UIView animateWithDuration:(_rotateDuration &gt; 0 ? _rotateDuration : defaultDuration)
                         animations:^{
                             self.transform = _defaultTransform;
                         }];
    } else {
        self.transform = _defaultTransform;
    }

}
- (void)changeToLeftAnimated:(BOOL)animated {
    if (animated) {
        [UIView animateWithDuration:(_rotateDuration &gt; 0 ? _rotateDuration : defaultDuration)
                         animations:^{
                             self.transform = CGAffineTransformRotate(_defaultTransform, -M_PI_2);
                         }];
    } else {
        self.transform = CGAffineTransformRotate(_defaultTransform, -M_PI_2);
    }
}
- (void)changeToRightAnimated:(BOOL)animated {
    if (animated) {
        [UIView animateWithDuration:(_rotateDuration &gt; 0 ? _rotateDuration : defaultDuration)
                         animations:^{
                             self.transform = CGAffineTransformRotate(_defaultTransform, M_PI_2);
                         }];
    } else {
        self.transform = CGAffineTransformRotate(_defaultTransform, M_PI_2);
    }
}
- (void)changeTodownAnimated:(BOOL)animated {
    if (animated) {
        [UIView animateWithDuration:(_rotateDuration &gt; 0 ? _rotateDuration : defaultDuration)
                         animations:^{
                             self.transform = CGAffineTransformRotate(_defaultTransform, M_PI);
                         }];
    } else {
        self.transform = CGAffineTransformRotate(_defaultTransform, M_PI);
    }
}
- (void)fadeToNormalInputViewAnimated:(BOOL)animated {
    if (animated) {
        [UIView animateWithDuration:(_fadeDuration &gt; 0 ? _fadeDuration : defaultDuration)
                         animations:^{
                             [self viewWithTag:UIVIEW_normalInputView].alpha = 1.f;
                         }];
    } else {
        [self viewWithTag:UIVIEW_normalInputView].alpha = 1.f;
    }
}
- (void)fadeToDisableInputViewAnimated:(BOOL)animated {
    if (animated) {
        [UIView animateWithDuration:(_fadeDuration &gt; 0 ? _fadeDuration : defaultDuration)
                         animations:^{
                             [self viewWithTag:UIVIEW_normalInputView].alpha = 0.f;
                         }];
    } else {
        [self viewWithTag:UIVIEW_normalInputView].alpha = 0.f;
    }
}

#pragma mark - 重写setter，getter方法
@synthesize normalInputView = _normalInputView;
- (void)setNormalInputView:(UIView *)normalInputView {
    normalInputView.frame                  = normalInputView.bounds;
    normalInputView.userInteractionEnabled = NO;
    normalInputView.tag                    = UIVIEW_normalInputView;
    [self addSubview:normalInputView];

    [self bringSubviewToFront:normalInputView];
}
- (UIView *)normalInputView {
    return [self viewWithTag:UIVIEW_normalInputView];
}

@synthesize disableInputView = _disableInputView;
- (void)setDisableInputView:(UIView *)disableInputView {
    disableInputView.frame                  = disableInputView.bounds;
    disableInputView.userInteractionEnabled = NO;
    disableInputView.tag                    = UIVIEW_disableInputView;
    [self addSubview:disableInputView];

    [self sendSubviewToBack:disableInputView];
}
- (UIView *)disableInputView {
    return [self viewWithTag:UIVIEW_disableInputView];
}

@end</pre>
<p>使用的源码：</p>
<pre>//
//  ViewController.m
//  CircleView
//
//  Created by YouXianMing on 14/12/9.
//  Copyright (c) 2014年 YouXianMing. All rights reserved.
//

#import "ViewController.h"
#import "RotateView.h"

@interface ViewController ()

@property (nonatomic, strong) RotateView *rotateView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    // 输入图片与输出图片
    UIImageView *normalView  = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"normal"]];
    UIImageView *disableView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"disable"]];

    // 旋转的view
    _rotateView                  = [[RotateView alloc] initWithFrame:normalView.bounds];
    _rotateView.center           = self.view.center;
    _rotateView.normalInputView  = normalView;
    _rotateView.disableInputView = disableView;
    [self.view addSubview:_rotateView];

    // 延时
    [self performSelector:@selector(excuteEventOne)
               withObject:nil
               afterDelay:7.f];

    // 延时
    [self performSelector:@selector(excuteEventTwo)
               withObject:nil
               afterDelay:9.f];
}
- (void)excuteEventOne {
    [_rotateView changeTodownAnimated:YES];
    [_rotateView fadeToDisableInputViewAnimated:YES];
}

- (void)excuteEventTwo {
    [_rotateView changeToUpAnimated:YES];
    [_rotateView fadeToNormalInputViewAnimated:YES];
}

@end</pre>
<p>较为核心的地方：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzYwNzU0Mi8yMDE0MTIvMDkwOTQ0MTEzNTM0OTU2LnBuZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 11:48:53 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>旋转动画用控件RotateView的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YRBQy3.html" rel="bookmark">CAnimateCtrl 动画播放控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 CAnimateCtrl成员函数  播放avi动画 一.CAnimateCtrl成员函数 Autoplay; CAnimateCtrl ::成员函数 Open 打开avi视频 Play 播放没有声音的avi Seek 选择相应的帧 Stop 停止播放 Close 关闭播放 CAnimateCtrl 动画播放控件,布布扣,bubuko.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41mKgk4.html" rel="bookmark">利用动画实现控件背景色渐变</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.动画文件: 1 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; 2 &lt;objectAnimator xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; 3 android:propertyName=&quot;backgroundColor&quot; 4 android:duration=&quot;5000&quot; 5 a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kl5lL3.html" rel="bookmark">【iOS开发-57】案例改进：block动画、控件的removeFromSuperview、利用layer设置圆角矩形以及代理模式运用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接上述案例,案例改进:[iOS开发-50]利用创建新的类实现代码封装,从而不知不觉实践一个简单的MVC实验,附带个动画 在上述案例中,我们最后实现了一个动画,点击&quot;下载&quot;按钮变成&quot;已下载&quot;不可点击,然后中间出现提示框. (1)其中有一个小BUG,就是这个提示的透明度变成0之后,这个提示框并没有显示还留在内存中.需要: [tipsLabel removeFromSuperview]; (2)其次,我们可以用另一个代码实现动画,就是用block,这一次是2个block嵌			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Aagba4.html" rel="bookmark">WPF 动画显示控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们要显示一个控件的时候,不仅仅要显示这个控件,还要有动画的效果. 主要用到了DoubleAnimation类. public static void ShowAnimation(object control) { Type type = control.GetType(); switch (type.Name) { case &quot;Border&quot;: { Border newBorder = (Border)control; #region 高.宽变化动画 DoubleAnimation			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k6517M.html" rel="bookmark">WPF设置动画在控件载入时就立刻执行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 &lt;YourControl.Triggers&gt; 2 &lt;EventTrigger RoutedEvent=&quot;YourControl.Loaded&quot;&gt;&lt;!--这里是关键--&gt; 3 &lt;BeginStoryboard&gt; 4 &lt;Storyboard&gt; 5 &lt;DoubleAnimation Storyboard.TargetProperty=&quot;Width&quot; From=&quot;0&quot; To=&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBjYXKM.html" rel="bookmark">TimePicker控件、帧动画、补间动画</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.TimePicker控件 最近感觉每个开发平台的控件基本都差不多,在Android中控件的事件和.net控件直接写事件有一定的区别,net事件可以直接界面进行事件的绑定哈.不过在Silverlight中,如果用MVVM设计模式的话,也可以自己为控件写Command命令的,可以取代控件的事件. TimePicker控件,也就是事件控件,可以用设置时间的.在页面拖入控件后,默认是显示系统时间的. 1 &lt;TimePicker 2 android:id=&quot;@+id/timePicker1&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0enP8v3.html" rel="bookmark">旋转按钮、进度条、滑块控件的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.旋转按钮 -对应控件类是CSpinButtonCtrl 2.进度条 -对应控件类是CProgressCtrl 3.滑块 -对应控件类是CSliderCtrl 控件的使用步骤: 1--设置控件表示的数值范围 SetRange/GetRange 2--设置控件的增量/步长 CSpinButtonCtrl::SetAccel CProgressCtrl::SetStep CSliderCtrl::SetPageSize CSliderCtrl::SetLineSize 3--设置/获取当前数值 S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l99lL3.html" rel="bookmark">UI控件篇之UIActivityIndicatorView</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UIActivityIndicatorView用来显示一个标准的旋转进度轮,属于轻型视图(非常简单的“小菊花”),使用起来也是灵活多变,它不只是默认状态下的一种样式,通过调整其属性,调用其方法实现控件不同效果. 一.初始化 - initWithActivityIndicatorStyle 是UIActivityIndicatorView唯一的初始化方法 例如:UIActivityIndicatorView  * 控件名 = [UIActivityIndicatorView alloc] init			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPgzXz4.html" rel="bookmark">使用Swift语言自定义Pull To Refresh控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSDN移动将持续为您优选移动开发的精华内容,共同探讨移动开发的技术热点话题,涵盖移动应用.开发工具.移动游戏及引擎.智能硬件.物联网等方方面面.如果您想投稿.参与内容翻译工作 全世界有非常多的应用程序.要开发出新的应用,并且能够吸引用户的注意力,使应用能够脱颖而出.毫无疑问,有人会说使简单应用出类拔萃的秘笈是开发小组(开发人员和设计人员)所使用的个性化技艺,用在大多数开发人员不做处理的小细节处.其中之一就是从本文题目中可见一斑的pull-to-refresh控件.通过本文我会展示使该控件改头换			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPwXv4.html" rel="bookmark" class="title">Uva 1391 （LA 3713） Astronauts （2-SAT问题）</a>
					<div>
						今天学了2-SAT问题,就找了这道例题,敲了一下,还好过了. 2-SAT问题应该是把一些布尔变量之间的逻辑关系反映到一个无向图(有时可能是有向图)上来.通过推导的形式在这个有向图里面补边.再通过确定一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412NqgM.html" rel="bookmark" class="title">git&colon; fatal&colon; Could not read from remote repository</a>
					<div>
						This is probably an Intellij problem. Your key are managed natively by ssh, and Intellij has it's ow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vvapj3.html" rel="bookmark" class="title">目录的查询，创建及删除</a>
					<div>
						1:目录的查询 opendir(&quot;目录路径&quot;);获取目录句柄 readdir(&quot;目录句柄&quot;);读取目录中的一条文件或文件夹 is_dir(&quot;文件路径& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8QnQ0.html" rel="bookmark" class="title">windows 2008 重置开机密码</a>
					<div>
						遗忘Windows Server 2008R2的处理方法 有的时候,我们会由于各种原因忘掉了服务器密码,比如服务器太多,太杂什么的,或直接是被人黑掉了,这个时候我们想要登录,发现我们已经没有办法了,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NwP63.html" rel="bookmark" class="title">group by的使用</a>
					<div>
						group  by的使用 环境:win8.1  mysql5.7 &quot;group  by&quot;就是根据&quot;by&quot;指定的规则对数据进行分组,所谓的分组就是将一个&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmDNN14.html" rel="bookmark" class="title">HBase&lpar;0&period;96&rpar;新的Java API操作</a>
					<div>
						package test; import java.io.IOException; import org.apache.hadoop.conf.Configuration; import org.ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjlZB3.html" rel="bookmark" class="title">java-javaweb&lowbar;URL重写</a>
					<div>
						Java WEB实现URL重写的优缺点及如何实现: http://blog.csdn.net/cselmu9/article/details/8062033 urlrewrite 地址重写: http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02Dzbz4.html" rel="bookmark" class="title">Win10系列：C&num;应用控件基础11</a>
					<div>
						RichEditBox控件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKERj3.html" rel="bookmark" class="title">ideadpad-安装win7</a>
					<div>
						今天帮一个同学的朋友安装win7, 竟然安不上,很久没有出现安不上系统了, 后来发现他的笔记本是新的类型,预先注意事项为: 1,启动的时候,使用 Fn+F2进入 BIOS. 2,将Boot中的Boot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzzdR0.html" rel="bookmark" class="title">Project 2</a>
					<div>
						我于周四.周五上午十点至十二点在山东大学齐鲁软件园校区圆形报告厅聆听了由Prof.Foley主持的精彩讲说,观看了Prof.Foley的最新研究成果以及对Computer Graphics的独到见解, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47mWm60.html" rel="bookmark" class="title">python的模块！</a>
					<div>
						以下是对模块的理解,和总结 &lt;1&gt;模块是什么 模块是这样用的 import os 这就是导入了os模块 这和c语言里的#include&lt;stdio.h&gt;导入方式是一样的 导入了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5gRP3.html" rel="bookmark" class="title">python&amp;amp&semi;MongoDB爬取图书馆借阅记录（没有验证码）</a>
					<div>
						题外话:这个爬虫本来是想用java完成然后发布在博客园里的,但是一直用java都失败了,最后看到别人用了python,然后自己就找别人问了问关键的知识点,发现连接那部分,python只用了19行!!! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeD7eM.html" rel="bookmark" class="title">生成不重复的随机数</a>
					<div>
						0x00.从一个数组(arr)随机生成有(num)个不相同的值的数组 function createRandom( num, arr ) { var arrCache = [], objCache = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvJod3.html" rel="bookmark" class="title">iOS项目开发中的知识点与问题收集整理</a>
					<div>
						注:本文并非绝对原创 大部分内容摘自 http://blog.csdn.net/hengshujiyi/article/details/20943045 文中有些方法可能已过时并不适用于现在的开发环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41w8kP0.html" rel="bookmark" class="title">【原】iOS学习之Quartz2D&lpar;1&rpar;</a>
					<div>
						什么是Quartz2D 1.Quartz 2D 是一个二维绘图引擎,同时支持iOS和Mac系统 2.Quartz 2D 能完成的工作: 绘制图形 : 线条\三角形\矩形\圆\弧等 绘制文字 绘制\生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZQPQ3.html" rel="bookmark" class="title">iOS 实现脉冲雷达以及动态增减元素 By Swift</a>
					<div>
						开始之前 Swift经过Xcode6 Beta4一版更新后,基本上已经可以作为生产工具了,虽然有一些地方和ObjC比起来要&quot;落后&quot;一些,但也无伤大雅.这里就用Xcode6 Beta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQGYKM.html" rel="bookmark" class="title">Image和字节数组互转</a>
					<div>
						using System; using System.Collections.Generic; using System.Drawing; using System.Drawing.Imaging;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J2oBA4.html" rel="bookmark" class="title">sina sae搭建wordpress数据库配置</a>
					<div>
						sina app engine上搭建wordpress,使用快速安装向导会无法连接数据库. 可以在本地修改好 wp-config.php再提交. &lt;?php /** * WordPress 基础 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02qQEpM.html" rel="bookmark" class="title">spring 专业术语概述</a>
					<div>
						组件/框架设计: 侵入式设计:引入了框架,对现有的类的结构有影响,即需要实现或继承某些特定的类 例如,struts框架就是一个典型的侵入式设计的框架.要使用数据校验和数据封装Action类就需要继承A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0exaz5M.html" rel="bookmark" class="title">Vue单文件组件基础模板</a>
					<div>
						背景 相信大家在使用Vue开发项目时,基本都是以单文件组件的形式开发组件的,这种方式好处多多: 1.代码集中,便于开发.管理和维护 2.可复用性高,直接将vue文件拷贝到新项目中 我暂时就想到这两点, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
